page_type: HomePage
title: 'SignalWire - The Future of Communication is Programmable'
slug: 'home'
fields:
  title: 'SignalWire - The Future of Communication is Programmable'
  slug: 'home'
  seo_title: 'SignalWire - Programmable Unified Communications Platform'
  show_in_menus: true
  search_description: 'Build AI-powered voice, video, and messaging applications with SignalWire. Sub-800ms latency, enterprise scale, developer friendly. Start free today.'
  hero_heading: 'The Future of Communication is Programmable'
  hero_subtitle: 'Build AI-powered voice, video, and messaging applications with the world''s fastest communication platform. Sub-800ms latency. Enterprise scale. Developer friendly.'
  hero_cta_text: 'Start Building Free'
  hero_cta_url: https://signalwire.com/signup
  introduction: <p>SignalWire is revolutionizing how developers build communication applications. We've created an entirely new category - <strong>Programmable Unified Communications (PUC)</strong> - that combines the power of AI with ultra-low latency infrastructure.</p>
  body:
  - type: markdown
    value: |
      ## Why SignalWire?

      ### Key Benefits:
      - **Industry-Leading Performance**: Sub-800ms latency for natural AI conversations
      - **Unified Platform**: Voice, video, messaging, and AI in one SDK
      - **Developer First**: Simple Python SDK, powerful CLI tools, comprehensive docs
      - **Enterprise Ready**: SOC II, HIPAA compliant, 99.95% uptime SLA
      - **Transparent Pricing**: Just $0.16/minute all-inclusive
  
  - type: callout
    value:
      type: info
      title: 'New Category Alert'
      text: 'SignalWire created Programmable Unified Communications (PUC) - the next evolution beyond CPaaS, CCaaS, and UCaaS.'
  
  - type: markdown
    value: |
      ## What is Programmable Unified Communications?

      PUC represents a paradigm shift in communication technology. Instead of treating voice, video, messaging, and AI as separate services, SignalWire unifies them into a single, programmable platform.

      Traditional platforms require complex integrations between different services. With SignalWire, everything is native:
      - **Native AI**: Built-in AI agents, not bolted-on chatbots
      - **Native Omnichannel**: Voice, video, SMS, chat in one API
      - **Native Orchestration**: SWML for declarative communication flows
      - **Native Analytics**: DataSphere for real-time insights
  
  - type: two_column
    value:
      left_column:
      - type: markdown
        value: |
          ### Revolutionary AI Agent SDK

          Build sophisticated AI agents in minutes, not months. Our SDK includes:

          **Skills System**
          - One-liner integrations (web search, datetime, math)
          - DataSphere knowledge search
          - Vector search capabilities
          - Modular architecture

          **DataMap Tools**
          - Server-side API execution
          - No webhook infrastructure needed
          - Variable expansion support

          **Contexts & Steps**
          - Structured agent workflows
          - State management
          - Error handling
      right_column:
      - type: code
        value:
          language: python
          code: |
            from signalwire_agents import AgentBase

            class CustomerServiceAgent(AgentBase):
                def __init__(self):
                    super().__init__(
                        name="Customer Service Agent",
                        route="/assistant"
                    )
                    
                    # Set up agent personality
                    self.prompt_add_section(
                        "Role",
                        "You are a helpful customer service agent. "
                        "Be professional, friendly, and efficient."
                    )
                    
                    # Add capabilities with one-liners
                    self.add_skill("datetime")  # Current date/time
                    self.add_skill("datasphere", {
                        "space_name": "support-docs",
                        "tool_name": "search_knowledge"
                    })
                    
                    # Configure voice
                    self.add_language("English", "en-US", "nova")
                    
            # Deploy and run
            agent = CustomerServiceAgent()
            agent.run()  # Starts on port 3000
  
  - type: markdown
    value: |
      ## Use Cases & Applications

      ### Contact Centers
      Transform customer service with AI agents that can:
      - Handle routine inquiries at scale
      - Seamlessly transfer to human agents
      - Access CRM data in real-time
      - Provide 24/7 availability

      ### Healthcare
      Build HIPAA-compliant communication solutions:
      - Appointment scheduling and reminders
      - Telehealth video consultations
      - Prescription refill automation
      - Emergency response systems

      ### Financial Services
      Create secure, compliant communication:
      - Account balance inquiries
      - Fraud detection alerts
      - Payment processing
      - Investment advisory bots

      ### Developer Tools
      Build the next generation of communication apps:
      - AI-powered voice assistants
      - Video collaboration platforms
      - Omnichannel messaging
      - Real-time translation services
  
  - type: callout
    value:
      type: success
      title: 'Simple, Transparent Pricing'
      text: 'Just $0.16 per minute for everything - voice, AI processing, transcription, and infrastructure. No hidden fees, no complex calculations.'
  
  - type: markdown
    value: |
      ## Getting Started is Easy

      ### 1. Sign Up Free
      Create your account and get instant access to:
      - $5 free credit
      - Full API access
      - AI Agent capabilities
      - Community support

      ### 2. Install the AI Agents SDK
      ```bash
      pip install signalwire-agents
      ```

      ### 3. Build Your First Agent
      ```python
      from signalwire_agents import AgentBase

      # Create a simple agent
      agent = AgentBase("my_first_agent", route="/agent")
      
      # Set up personality
      agent.prompt_add_section("Role", "You are a friendly assistant")
      
      # Add capabilities
      agent.add_skill("datetime")  # Current date/time
      agent.add_skill("math")      # Calculations
      
      # Run the agent
      agent.run()  # Starts on localhost:3000
      ```

      ### 4. Test & Deploy
      - Test locally with `swaig-test`
      - Deploy as a web service
      - Connect to SignalWire phone numbers
      - Scale infinitely
  
  - type: two_column
    value:
      left_column:
      - type: markdown
        value: |
          ### Resources

          **Documentation**
          - [Sign Up Free](https://signalwire.com/signup)
          - [AI Agents SDK](https://github.com/signalwire/signalwire-agents)
          - [API Documentation](https://developer.signalwire.com)
          - [Example Applications](https://github.com/signalwire)

          **Community**
          - [Developer Forum](https://community.signalwire.com)
          - [Discord Server](https://discord.gg/signalwire)
          - [Stack Overflow](https://stackoverflow.com/questions/tagged/signalwire)
          - [GitHub](https://github.com/signalwire)
      right_column:
      - type: markdown
        value: |
          ### Frequently Asked Questions

          **Q: How fast are SignalWire AI agents?**
          A: Our agents respond in under 800ms, enabling natural conversations.

          **Q: Can I use my own AI models?**
          A: Yes! Bring your own models or use our optimized ones.

          **Q: What about compliance?**
          A: We're SOC II and HIPAA compliant with data residency options.

          **Q: How does pricing work?**
          A: Simple per-minute pricing at $0.16/min includes everything.
  
  - type: callout
    value:
      type: primary
      title: 'Ready to Build the Future?'
      text: 'Join thousands of developers building the next generation of communication applications with SignalWire.'
  
  social_text: 'Build AI-powered communication apps with SignalWire - the platform that makes communication programmable. Sub-800ms latency. Start free.'